/*
 * afsk_decoder.h
 *
 *  Created on: Sep 10, 2019
 *      Author: curiousmuch
 */

#ifndef AFSK_DEMODULATOR_H_
#define AFSK_DEMODULATOR_H_

#define WINDOW_SIZE 11
#define SAMPLEFREQUENCY 13200

void window_init(void);
void window_add(int8_t sample);
int8_t* window_get(void);
unsigned int window_get_size(void);
float goertzel_filter(int8_t samples[], float freq, unsigned int N);
void goertzel_init(float freq0, float freq1, float *coeff0, float *coeff1);
float goertzelFilter(int samples[], float freq, int N);




#endif /* MAIN_AFSK_DECODER_H_ */
